Subject: Announcing the release of selection-1.6, cut and paste for VCs
From: Andrew Haylett <[email-masked]>
Date: 30 Jul 1994 02:06:14 +0300
Newsgroups: comp.os.linux.announce

------------------------------------------------------------------------------
Announcing the release of selection-1.6, a utility for xterm-like copy and
paste on Linux virtual consoles using the mouse.
------------------------------------------------------------------------------

It has been about a year since the last release of selection, and this
new release is well overdue. I have been sent many patches and new
functions by many Linux hackers, and have incorporated most of these
into the new version. If you sent me a patch that didn't get included,
it may have been because I overlooked it, or could not easily fit it in
to the new release. If so, please accept my apologies; feel free to send
it again, with context diffs (`diff -rc2') against this version, and I
will accept it gratefully.

IMPORTANT NOTE - This release of selection requires a kernel version
1.1.35 or greater to operate correctly. Your excuse to upgrade to the
leading edge...

If you cannot upgrade to 1.1.35, please continue using selection-1.5
until the required kernel patches are merged into the "stable" kernel
release. On the other hand, if there is enough demand, I might look at
providing patches to kernel version 1.0.9 to enable the use of most
aspects of selection-1.6.

The new version can currently be found at

    sunsite.unc.edu:/pub/Linux/Incoming/selection-1.6.tar.gz

but will doubtless move to somewhere sensible in the fullness of time.

Fixes and new features include:

 -  added extend button functionality.
 -  added wrap-around option.
 -  added screen unblank feature.
 -  corrected problem with pastes over 1023 bytes.
 -  when switching back from graphics to text mode, re-initializes mouse.
 -  added facility to toggle mouse modem lines.
 -  corrected problems with Logitech mouse in Microsoft mode.
 -  corrected problem with PS/2 mouse protocol.
 -  added support for middle button of Logitech mice in Microsoft mode.
 -  puts itself into background after initialization.
 -  mouse cursor stays up all the time; no need for initial click.
 -  supplies xterm-like mouse events to client on request.
 -  writes selection PID to file for terminating before starting X, and
     enables running selection process to be terminated easily.
 -  allows redefinition of character classes for "select word" function.
 -  removed kernel patch from distribution; now part of standard kernel.
 -  includes pre-compiled binary in distribution.

Here is the Linux Software Map entry:

Begin2
Title        = selection
Version      = 1.6
Desc1        = Selection implements a copy-and-paste function for Linux virtual
Desc2        = consoles using the mouse.  It also supports xterm-like mouse
Desc3        = event reporting for applications that can make use of it.
Author       = Andrew Haylett
AuthorEmail  = [email-masked]
Maintainer   = Andrew Haylett
MaintEmail   = [email-masked]
Site1        = sunsite.unc.edu
Path1        = /pub/Linux/Incoming
File1        = selection-1.6.tar.gz
FileSize1    = 21109
Required1    = Linux kernel 1.1.35 or later with CONFIG_SELECTION enabled.
Required2    = A serial/bus two/three-button mouse (most types supported).
CopyPolicy1  = Freely redistributable.
Keywords     = cut and paste, virtual console, mouse.
Comment1     = This release has several bug fixes and new features, including
Comment2     = permanent mouse cursor, extend button support, xterm-like event
Comment3     = support, mouse control line toggle, wrap-around option, et
Comment4     = cetera. Thanks to all contributors/testers/users.
Entered      = 26JUL94
EnteredBy    = Andrew Haylett
CheckedEmail = [email-masked]
End

----
Andrew Haylett <[email-masked]>		Tel: +44 245 473331 x.3283
PGP2.6 public key available on request

--
Send submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.